Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase.parseTreeConstruction
Class ABaseParsetreeConstructor

    java.lang.Object
      org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor
          org.eclipse.amp.amf.abase.parseTreeConstruction.ABaseParsetreeConstructor

All Implemented Interfaces:
  org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor

    public class ABaseParsetreeConstructor

extends org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor

Nested Class Summary
`protected class` | `ABaseParsetreeConstructor.BooleanValue_ValueAssignment` begin Rule BooleanValue **************** BooleanValue: value=BOOLEAN;
`protected class` | `ABaseParsetreeConstructor.IntValue_ValueAssignment` begin Rule IntValue **************** IntValue: value=INTEGER;
`protected class` | `ABaseParsetreeConstructor.RealValue_ValueAssignment` begin Rule RealValue **************** RealValue: value=REAL;
`protected class` | `ABaseParsetreeConstructor.StringValue_ValueAssignment` begin Rule StringValue **************** StringValue: value=STRING;
`protected class` | `ABaseParsetreeConstructor.ThisRootNode`
`protected class` | `ABaseParsetreeConstructor.Value_Alternatives` begin Rule Value **************** Value: IntValue | StringValue | RealValue | BooleanValue;
`protected class` | `ABaseParsetreeConstructor.Value_BooleanValueParserRuleCall_3`
`protected class` | `ABaseParsetreeConstructor.Value_IntValueParserRuleCall_0`
`protected class` | `ABaseParsetreeConstructor.Value_RealValueParserRuleCall_2`
`protected class` | `ABaseParsetreeConstructor.Value_StringValueParserRuleCall_1`

Nested classes/interfaces inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor
`org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.ActionToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AlternativesToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AssignmentToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AssignmentType, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.CommentToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.GroupToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.KeywordToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.RootToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.RuleCallToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.UnassignedTextToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.UnorderedGroupToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.WsMergerStream`

Nested classes/interfaces inherited from interface org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor
`org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor.TreeConstructionDiagnostic, org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor.TreeConstructionReport`

Field Summary

Fields inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor
`commentAssociater, crossRefSerializer, enumLitSerializer, hiddenTokenHelper, keywordSerializer, tokenUtil, treeConstructionReportProvider, tvService, valueSerializer`

Constructor Summary
`ABaseParsetreeConstructor()`

Method Summary
`protected org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken` | `getRootToken(org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)`

Methods inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor
`assignComment, assignNodesByMatching, assignTokenByMatcher, assignTokenByMatcher, assignTokenDirect, collectRootsAndEObjects, containsNodeOrAnyParent, createEObjectConsumer, createReport, debug, dump, dumpNode, initStream, serialize, serialize, serializeSubtree, write, writeComments`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABaseParsetreeConstructor

    public ABaseParsetreeConstructor()

Method Detail

### getRootToken

    protected org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken getRootToken(org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)

  Specified by:
    `getRootToken` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD